﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebTemplate._Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>

    <script language="javascript" type="text/javascript">
        function ChangeBaseLayer(selector) {
            var map = Map1.GetOpenLayersMap();

            var selected = selector.value;
            var layer;
            switch (selected) {
                case "GoogleMap":
                    layer = map.getLayer("Google Map");
                    layer.type = G_NORMAL_MAP;
                    break;
                case "GoogleSatHybrid":
                    layer = map.getLayer("GoogleSatHybrid");
                    layer.type = G_HYBRID_MAP;
                    break;
                case "GoogleTerrain":
                    layer = map.getLayer("GoogleTerrain");
                    layer.type = G_PHYSICAL_MAP;
                    break;
                case "BingMap":
                    layer = map.getLayer("Virtual Earth Map");
                    layer.type = VEMapStyle.Road;
                    break;
                case "BingSat":
                    layer = map.getLayer("BingSat");
                    layer.type = VEMapStyle.Hybrid;
                    break;
                case "BingTerrain":
                    layer = map.getLayer("BingTerrain");
                    layer.type = VEMapStyle.Shaded;
                    break;
                case "WorldMapKit":
                    layer = map.getLayer("WMK Map");
                    break;
                default:
                    break;
            }
            layer.redraw();
            map.setBaseLayer(layer);
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <div>
            Background:
            <select name="BackgroundOptions" onchange="ChangeBaseLayer(this);" id="Select1">
                <option selected="selected" value="none">None</option>
                <option value="GoogleMap">Google Map</option>
                <option value="GoogleSatHybrid">Google Satellite</option>
                <option value="GoogleTerrain">Google Terrain</option>
                <option value="BingMap">Bing Map</option>
                <option value="BingSat">Bing Satellite</option>
                <option value="BingTerrain">Bing Terrain</option>
                <option value="WorldMapKit">World Map Kit</option>
            </select>
        </div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
        </cc1:Map>
    </div>
    </form>
</body>
</html>
